## org.apache.cassandra.cql
Class CFPropDefs

    java.lang.Object
      org.apache.cassandra.cql.CFPropDefs

    public class CFPropDefs

extends java.lang.Object

Field Summary
`static java.util.Set<java.lang.String>` `allowedKeywords`
`static java.lang.String` `COMPACTION_OPTIONS_PREFIX`
`java.lang.Class<? extends AbstractCompactionStrategy>` `compactionStrategyClass`
`java.util.Map<java.lang.String,java.lang.String>` `compactionStrategyOptions`
`static java.util.Map<java.lang.String,java.lang.String>` `comparators`
`static java.lang.String` `COMPRESSION_PARAMETERS_PREFIX`
`java.util.Map<java.lang.String,java.lang.String>` `compressionParameters`
`static java.util.Set<java.lang.String>` `keywords`
`static java.lang.String` `KW_BF_FP_CHANCE`
`static java.lang.String` `KW_CACHING`
`static java.lang.String` `KW_COMMENT`
`static java.lang.String` `KW_COMPACTION_STRATEGY_CLASS`
`static java.lang.String` `KW_COMPARATOR`
`static java.lang.String` `KW_DCLOCALREADREPAIRCHANCE`
`static java.lang.String` `KW_DEFAULTVALIDATION`
`static java.lang.String` `KW_GCGRACESECONDS`
`static java.lang.String` `KW_MAXCOMPACTIONTHRESHOLD`
`static java.lang.String` `KW_MINCOMPACTIONTHRESHOLD`
`static java.lang.String` `KW_READREPAIRCHANCE`
`static java.lang.String` `KW_REPLICATEONWRITE`
`static java.util.Set<java.lang.String>` `obsoleteKeywords`
`java.util.Map<java.lang.String,java.lang.String>` `properties`

Constructor Summary
`CFPropDefs()`

Method Summary
`void` `addProperty(java.lang.String name, java.lang.String value)` Map a keyword to the corresponding value
`AbstractType<?>` `getComparator()`
`java.lang.String` `getProperty(java.lang.String name)`
`java.lang.Boolean` `getPropertyBoolean(java.lang.String key, java.lang.Boolean defaultValue)`
`java.lang.Double` `getPropertyDouble(java.lang.String key, java.lang.Double defaultValue)`
`java.lang.Integer` `getPropertyInt(java.lang.String key, java.lang.Integer defaultValue)`
`java.lang.String` `getPropertyString(java.lang.String key, java.lang.String defaultValue)`
`AbstractType<?>` `getValidator()`
`java.lang.Boolean` `hasProperty(java.lang.String name)`
`java.lang.String` `toString()`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KW_COMPARATOR

    public static final java.lang.String KW_COMPARATOR

See Also:
  Constant Field Values

### KW_COMMENT

    public static final java.lang.String KW_COMMENT

See Also:
  Constant Field Values

### KW_READREPAIRCHANCE

    public static final java.lang.String KW_READREPAIRCHANCE

See Also:
  Constant Field Values

### KW_DCLOCALREADREPAIRCHANCE

    public static final java.lang.String KW_DCLOCALREADREPAIRCHANCE

See Also:
  Constant Field Values

### KW_GCGRACESECONDS

    public static final java.lang.String KW_GCGRACESECONDS

See Also:
  Constant Field Values

### KW_DEFAULTVALIDATION

    public static final java.lang.String KW_DEFAULTVALIDATION

See Also:
  Constant Field Values

### KW_MINCOMPACTIONTHRESHOLD

    public static final java.lang.String KW_MINCOMPACTIONTHRESHOLD

See Also:
  Constant Field Values

### KW_MAXCOMPACTIONTHRESHOLD

    public static final java.lang.String KW_MAXCOMPACTIONTHRESHOLD

See Also:
  Constant Field Values

### KW_REPLICATEONWRITE

    public static final java.lang.String KW_REPLICATEONWRITE

See Also:
  Constant Field Values

### KW_COMPACTION_STRATEGY_CLASS

    public static final java.lang.String KW_COMPACTION_STRATEGY_CLASS

See Also:
  Constant Field Values

### KW_CACHING

    public static final java.lang.String KW_CACHING

See Also:
  Constant Field Values

### KW_BF_FP_CHANCE

    public static final java.lang.String KW_BF_FP_CHANCE

See Also:
  Constant Field Values

### comparators

    public static final java.util.Map<java.lang.String,java.lang.String> comparators

### keywords

    public static final java.util.Set<java.lang.String> keywords

### obsoleteKeywords

    public static final java.util.Set<java.lang.String> obsoleteKeywords

### allowedKeywords

    public static final java.util.Set<java.lang.String> allowedKeywords

### COMPACTION_OPTIONS_PREFIX

    public static final java.lang.String COMPACTION_OPTIONS_PREFIX

See Also:
  Constant Field Values

### COMPRESSION_PARAMETERS_PREFIX

    public static final java.lang.String COMPRESSION_PARAMETERS_PREFIX

See Also:
  Constant Field Values

### properties

    public final java.util.Map<java.lang.String,java.lang.String> properties

### compactionStrategyClass

    public java.lang.Class<? extends AbstractCompactionStrategy> compactionStrategyClass

### compactionStrategyOptions

    public final java.util.Map<java.lang.String,java.lang.String> compactionStrategyOptions

### compressionParameters

    public final java.util.Map<java.lang.String,java.lang.String> compressionParameters

Constructor Detail

### CFPropDefs

    public CFPropDefs()

Method Detail

### validate

    public void validate()
                  throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

  Map a keyword to the corresponding value

### hasProperty

    public java.lang.Boolean hasProperty(java.lang.String name)

### getComparator

    public AbstractType<?> getComparator()
                                  throws ConfigurationException

  Throws:
    `ConfigurationException`

### getValidator

    public AbstractType<?> getValidator()
                                 throws ConfigurationException

  Throws:
    `ConfigurationException`

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### getPropertyString

    public java.lang.String getPropertyString(java.lang.String key,
                                              java.lang.String defaultValue)

### getPropertyBoolean

    public java.lang.Boolean getPropertyBoolean(java.lang.String key,
                                                java.lang.Boolean defaultValue)
                                         throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### getPropertyDouble

    public java.lang.Double getPropertyDouble(java.lang.String key,
                                              java.lang.Double defaultValue)
                                       throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### getPropertyInt

    public java.lang.Integer getPropertyInt(java.lang.String key,
                                            java.lang.Integer defaultValue)
                                     throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation